"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.collectionToObj = exports.toCamelCase = exports.toDashCase = exports.isCSSFile = exports.cssLangReg = exports.cssLangs = void 0;
exports.cssLangs = `\\.(css|sass|scss)($|\\?)`;
exports.cssLangReg = new RegExp(exports.cssLangs);
const isCSSFile = (request) => exports.cssLangReg.test(request);
exports.isCSSFile = isCSSFile;
const toDashCase = (target) => target
    .replace(/[-_ /~ . ][A-z0-9]/g, (v) => {
    return "-" + v.slice(1);
})
    .toLowerCase();
exports.toDashCase = toDashCase;
const toCamelCase = (target) => target
    .replace(/^[A-Z]/, (m) => m.toLowerCase())
    .replace(/[-_ ./~ ]+([A-z0-9])/g, (m, $1) => $1.toUpperCase());
exports.toCamelCase = toCamelCase;
const collectionToObj = (collection) => {
    return collection.reduce((acc, item) => {
        return { ...acc, ...item };
    }, {});
};
exports.collectionToObj = collectionToObj;
